Skip to content

PlanFieldName⁠

Perform various operations for Symitar parameters.

Operations⁠

getPlanFieldNameSelectFields⁠

POST

Execute the persistent ParameterService getPlanFieldNameSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PlanFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getPlanFieldNameSelectFields
POST /nexum/627/persistent/parameter/getPlanFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "PlanFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllPlanFieldNameFields": true,
    "PlanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getPlanFieldNamePagedListSelectFields⁠

POST

Execute the persistent ParameterService getPlanFieldNamePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getPlanFieldNamePagedListSelectFields
POST /nexum/627/persistent/parameter/getPlanFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPlanFieldNameFields": true,
    "PlanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchPlanFieldNamePagedSelectFields⁠

POST

Execute the persistent ParameterService searchPlanFieldNamePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchPlanFieldNamePagedSelectFields
POST /nexum/627/persistent/parameter/searchPlanFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllPlanFieldNameFields": true,
    "PlanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updatePlanFieldNameByID⁠

POST

Execute the persistent ParameterService updatePlanFieldNameByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PlanFieldNameFieldintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updatePlanFieldNameByID
POST /nexum/627/persistent/parameter/updatePlanFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "PlanFieldNameField": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PlanFieldNameFields": {
    "Field": 0,
    "FieldName": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}